Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.common.util.concurrent
Class ForwardingCheckedFuture.SimpleForwardingCheckedFuture<V,X extends Exception>

    java.lang.Object
      com.google.common.collect.ForwardingObject
          com.google.common.util.concurrent.ForwardingFuture<V>
              com.google.common.util.concurrent.ForwardingListenableFuture<V>
                  com.google.common.util.concurrent.ForwardingCheckedFuture<V,X>
                      com.google.common.util.concurrent.ForwardingCheckedFuture.SimpleForwardingCheckedFuture<V,X>

All Implemented Interfaces:
  CheckedFuture<V,X>, ListenableFuture<V>, Future<V>

Enclosing class:
  ForwardingCheckedFuture<V,X extends Exception>

    @Beta
    public abstract static class ForwardingCheckedFuture.SimpleForwardingCheckedFuture<V,X extends Exception>

extends ForwardingCheckedFuture<V,X>

A simplified version of `ForwardingCheckedFuture` where subclasses can pass in an already constructed `CheckedFuture` as the delegate.

Since:
  9.0

Nested Class Summary

Nested classes/interfaces inherited from class com.google.common.util.concurrent.ForwardingCheckedFuture
`ForwardingCheckedFuture.SimpleForwardingCheckedFuture<V,X extends Exception>`

Nested classes/interfaces inherited from class com.google.common.util.concurrent.ForwardingListenableFuture
`ForwardingListenableFuture.SimpleForwardingListenableFuture<V>`

Nested classes/interfaces inherited from class com.google.common.util.concurrent.ForwardingFuture
`ForwardingFuture.SimpleForwardingFuture<V>`

Constructor Summary
`protected` | `ForwardingCheckedFuture.SimpleForwardingCheckedFuture(CheckedFuture<V,X> delegate)`

Method Summary
`protected CheckedFuture<V,X>` | `delegate()` Returns the backing delegate instance that methods are forwarded to.

Methods inherited from class com.google.common.util.concurrent.ForwardingCheckedFuture
`checkedGet, checkedGet`

Methods inherited from class com.google.common.util.concurrent.ForwardingListenableFuture
`addListener`

Methods inherited from class com.google.common.util.concurrent.ForwardingFuture
`cancel, get, get, isCancelled, isDone`

Methods inherited from class com.google.common.collect.ForwardingObject
`toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.google.common.util.concurrent.ListenableFuture
`addListener`

Methods inherited from interface java.util.concurrent.Future
`cancel, get, get, isCancelled, isDone`

Constructor Detail

### ForwardingCheckedFuture.SimpleForwardingCheckedFuture

    protected ForwardingCheckedFuture.SimpleForwardingCheckedFuture(CheckedFuture<V,X> delegate)

Method Detail

### delegate

    protected final CheckedFuture<V,X> delegate()

  Description copied from class: `ForwardingObject`
  Returns the backing delegate instance that methods are forwarded to. Abstract subclasses generally override this method with an abstract method that has a more specific return type, such as `ForwardingSet.delegate()`. Concrete subclasses override this method to supply the instance being decorated.

  Specified by:
    `delegate` in class `ForwardingCheckedFuture<V,X extends Exception>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2011. All Rights Reserved.